Category: EmacsUI Estimated time: 3.00 hours

Target version: CoCoA-5.1.0 Easter14 Spent time: 2.75 hours

Description

We are now encouraging lower case keywords, so the emacs interface must be able to recognise them, colour them, indent them

properly.

Related issues:

Related to CoCoA-5 - Bug #460: Emacs UI: updating abbrev-table Closed 09 Mar 2014

Related to CoCoA-5 - Support #395: Naming conventions: upper or lower case? Closed 01 Aug 2013

History

#1 - 04 Apr 2014 17:41 - Anna Maria Bigatti

- Status changed from New to In Progress

- % Done changed from 0 to 50

I cleaned up the keywords definitions. (removed some duplicates, still a few left)

I had problems with regexps but I think it works now.

To test it disable abbrev-mode. (ESC-x abbrev-mode)

Then we can also remove the abbrev-table (or just set abbrev-mode off by default)

#2 - 15 Apr 2014 13:26 - Anna Maria Bigatti

- Status changed from In Progress to Feedback

Now it should recognize all properly written keywords (PriNT is accepted but not properly written)

Now there is an entry in the CoCoA-5 menu for toggling on/off Automatic capitalization of keywords (now useless).

#3 - 17 Apr 2014 18:54 - John Abbott

- % Done changed from 50 to 90

#4 - 07 May 2014 14:05 - John Abbott

- Status changed from Feedback to Closed

- % Done changed from 90 to 100

Works OK; the only remaining question is whether the default should be to capitalize or not.  Currently (and for 5.1 release) it capitalizes; we'll try the

other for a while and them decide.
